Name:		remmina
Version:	1.4.39
Release:	%mkrel 2
Summary:	GTK+ remote desktop client
Group:		Networking/Remote access
License:	GPLv2+
URL:		https://remmina.org/
Source0:	https://gitlab.com/Remmina/Remmina/-/archive/v%{version}/Remmina-v%{version}.tar.gz
Patch0:		remmina-1.3.7-fix-desktop-file.patch
Patch1:		remmina-1.4.27-icons-apps-dir.patch
BuildRequires:	cmake
BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	cups-devel
BuildRequires:	libgcrypt-devel
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(libsoup-3.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(webkit2gtk-4.1)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpcre2-8)
BuildRequires:	pkgconfig(libsodium)
BuildRequires:	pkgconfig(libssh)
BuildRequires:	pkgconfig(avahi-client) >= 0.6.3
BuildRequires:	pkgconfig(avahi-ui-gtk3) >= 0.6.30
BuildRequires:	pkgconfig(spice-client-gtk-3.0)
BuildRequires:	pkgconfig(ayatana-appindicator3-0.1)
BuildRequires:	pkgconfig(libvncserver)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xkbfile)
BuildRequires:	pkgconfig(vte-2.91)
BuildRequires:	pkgconfig(zlib)

%description
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

Remmina supports multiple network protocols in an integrated and consistent
user interface. Currently RDP, VNC, XDMCP and SSH are supported.

Please don't forget to install the plugins for the protocols you want to use.

#----------------------------------------------------------------------------

%package	devel
Summary:	Development files for %{name}
Group:		Development/GNOME and GTK+
Requires:	%{name} = %{version}-%{release}

%description	devel
The %{name}-devel package contains header files for developing plugins for
%{name}.

#----------------------------------------------------------------------------

%package	plugins-common
Summary:	Common files for Remmina Remote Desktop Client plugins
Group:		Networking/Remote access
Requires:	%{name} = %{version}-%{release}

%description	plugins-common
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains files shared among all plugins for the Remmina remote
desktop client.

#----------------------------------------------------------------------------

%package	plugins-exec
Summary:	External execution plugin for Remmina Remote Desktop Client
Group:		Networking/Remote access
Requires:	%{name}-plugins-common = %{version}-%{release}

%description    plugins-exec
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains the plugin to execute external processes (commands or
applications) from the Remmina window.

#----------------------------------------------------------------------------

%package	plugins-kwallet
Summary:	KDE Wallet plugin for Remmina Remote Desktop Client
Group:		Networking/Remote access
Requires:	%{name}-plugins-common = %{version}-%{release}
BuildRequires:	cmake(KF5Wallet)

%description    plugins-kwallet
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains the KDE Wallet plugin for the Remmina remote
desktop client.

#----------------------------------------------------------------------------

%package	plugins-secret
Summary:	Keyring integration for Remmina Remote Desktop Client
Group:		Networking/Remote access
BuildRequires:	pkgconfig(libsecret-1)
Requires:	%{name}-plugins-common = %{version}-%{release}

Provides:	remmina-plugins-gnome = %{version}-%{release}

%description	plugins-secret
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains the plugin with keyring support for the Remmina remote
desktop client.

#----------------------------------------------------------------------------

%package	plugins-rdp
Summary:	RDP plugin for Remmina Remote Desktop Client
Group:		Networking/Remote access
BuildRequires:	freerdp3
BuildRequires:	pkgconfig(freerdp3) >= 3.0
Requires:	%{name}-plugins-common = %{version}-%{release}
Requires:	freerdp3 >= 3.0

%description	plugins-rdp
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains the Remote Desktop Protocol (RDP) plugin for the Remmina
remote desktop client.

#----------------------------------------------------------------------------

%package	plugins-spice
Summary:	SPICE plugin for Remmina Remote Desktop Client
Group:		Networking/Remote access
Requires:	%{name}-plugins-common = %{version}-%{release}

%description	plugins-spice
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains the SPICE plugin for the Remmina remote desktop client.

#----------------------------------------------------------------------------

%package	plugins-www
Summary:	WWW plugin for Remmina Remote Desktop Client
Group:		Networking/Remote access
Requires:	%{name}-plugins-common = %{version}-%{release}

Provides:	remmina-plugins-telepathy = %{version}-%{release}

%description	plugins-www
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains the WWW plugin for the Remmina remote desktop
client.

#----------------------------------------------------------------------------

%package	plugins-vnc
Summary:	VNC plugin for Remmina Remote Desktop Client
Group:		Networking/Remote access
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libvncserver)
Requires:	%{name}-plugins-common = %{version}-%{release}

%description	plugins-vnc
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny netbooks.

This package contains the VNC plugin for the Remmina remote desktop
client.

#----------------------------------------------------------------------------

%prep
%setup -qn Remmina-v%{version}
%autopatch -p1

%build
%cmake -DWITH_APPINDICATOR=ON  \
       -DWITH_KIOSK_SESSION=ON \
       -DWITH_PYTHONLIBS=ON    \
       -DWITH_KF5WALLET=ON \
       -DWITH_FREERDP3=ON
%cmake_build

%install
%cmake_install

%find_lang %{name}

desktop-file-install \
	--remove-category="X-GNOME-NetworkSettings" \
	--dir %{buildroot}%{_datadir}/applications \
%{buildroot}%{_datadir}/applications/org.%{name}.Remmina.desktop

%files -f %{name}.lang
%doc AUTHORS CHANGELOG.md README.md THANKS.md
%license COPYING LICENSE
%{_bindir}/%{name}
%{_bindir}/%{name}-gnome
%{_bindir}/%{name}-file-wrapper
%{_bindir}/gnome-session-%{name}
%{_datadir}/%{name}/
%{_datadir}/gnome-session/sessions/%{name}-gnome.session
%{_datadir}/xsessions/%{name}-gnome.desktop
%{_datadir}/applications/org.%{name}.Remmina.desktop
%{_datadir}/applications/org.%{name}.Remmina-file.desktop
%{_datadir}/applications/%{name}-gnome.desktop
%{_datadir}/metainfo/org.%{name}.Remmina.appdata.xml
%{_datadir}/mime/packages/org.%{name}.Remmina-mime.xml
%{_iconsdir}/hicolor/*/apps/*%{name}*.svg
%{_iconsdir}/hicolor/*/apps/*%{name}*.png
%{_iconsdir}/hicolor/*/status/*%{name}*.svg
%{_iconsdir}/hicolor/*/actions/org.%{name}.Remmina-*.svg
%{_iconsdir}/hicolor/*/emblems/org.%{name}.Remmina-sftp-*.svg
%{_iconsdir}/hicolor/*/emblems/org.%{name}.Remmina-ssh-*.svg
%{_iconsdir}/hicolor/*/emblems/org.%{name}.Remmina-tool-*.svg
%{_iconsdir}/hicolor/*/emblems/org.%{name}.Remmina-status-*.svg
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man1/%{name}-gnome.1.*
%{_mandir}/man1/%{name}-file-wrapper.1.*
%{_mandir}/man1/gnome-session-%{name}.1.*

%files devel
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/%{name}.pc

%files plugins-common
%doc AUTHORS CHANGELOG.md README.md THANKS.md
%license COPYING LICENSE
%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/plugins/

%files plugins-exec
%{_libdir}/%{name}/plugins/%{name}-plugin-exec.so
%{_libdir}/%{name}/plugins/%{name}-plugin-python_wrapper.so

%files plugins-kwallet
%{_libdir}/%{name}/plugins/%{name}-plugin-kwallet.so

%files plugins-secret
%{_libdir}/%{name}/plugins/%{name}-plugin-secret.so

%files plugins-rdp
%{_libdir}/%{name}/plugins/%{name}-plugin-rdp.so
%{_iconsdir}/hicolor/*/emblems/org.%{name}.Remmina-rdp-*.svg

%files plugins-spice
%{_libdir}/%{name}/plugins/%{name}-plugin-spice.so
%{_iconsdir}/hicolor/*/emblems/org.%{name}.Remmina-spice-*.svg

%files plugins-vnc
%{_libdir}/%{name}/plugins/%{name}-plugin-vnc.so
%{_iconsdir}/hicolor/*/emblems/org.%{name}.Remmina-vnc-*.svg

%files plugins-www
%{_libdir}/%{name}/plugins/%{name}-plugin-www.so
%{_iconsdir}/hicolor/*/emblems/org.%{name}.Remmina-www-*.svg



%changelog
* Tue Mar 04 2025 daviddavid <daviddavid> 1.4.39-2.mga10
+ Revision: 2160308
- rebuild for python 3.13

* Sun Jan 05 2025 daviddavid <daviddavid> 1.4.39-1.mga10
+ Revision: 2135548
- new version: 1.4.39
- new version: 1.4.38

* Thu Dec 19 2024 daviddavid <daviddavid> 1.4.37-1.mga10
+ Revision: 2126459
- new version: 1.4.37

* Wed Oct 02 2024 daviddavid <daviddavid> 1.4.36-1.mga10
+ Revision: 2102674
- new version: 1.4.36

* Sat May 11 2024 daviddavid <daviddavid> 1.4.35-2.mga10
+ Revision: 2063602
- add missing build dependency on pkgconfig(x11)

* Tue Feb 27 2024 daviddavid <daviddavid> 1.4.35-1.mga10
+ Revision: 2044662
- new version: 1.4.35

* Fri Feb 09 2024 daviddavid <daviddavid> 1.4.34-1.mga10
+ Revision: 2039822
- new version: 1.4.34
- switch rdp plugins to freerdp3

* Sat Dec 30 2023 daviddavid <daviddavid> 1.4.33-2.mga10
+ Revision: 2024472
- rebuild for py3.12
- not yet ready for freerdp3
- switch to freerdp3

* Sun Oct 01 2023 daviddavid <daviddavid> 1.4.33-1.mga10
+ Revision: 1992764
- new version: 1.4.33

* Wed Sep 20 2023 daviddavid <daviddavid> 1.4.32-1.mga10
+ Revision: 1988430
- new version: 1.4.32

* Mon Aug 28 2023 daviddavid <daviddavid> 1.4.31-1.mga10
+ Revision: 1980343
- new version: 1.4.31
- remove merged upstream patch

* Thu Apr 20 2023 daviddavid <daviddavid> 1.4.30-2.mga9
+ Revision: 1953697
- add upstream patch to fix segfault in VNC when using domain socket

* Tue Apr 11 2023 daviddavid <daviddavid> 1.4.30-1.mga9
+ Revision: 1952602
- new version: 1.4.30
- remove merged upstream patches

* Tue Feb 28 2023 daviddavid <daviddavid> 1.4.29-2.mga9
+ Revision: 1945881
- backports some upstream fixes:
  * patch: 0001_add_mime_text_formats_for_rdp_clibpoard.patch
  * patch: 0002_fix_unlock_crash.patch
  * patch: 0003_remmina_rdp_monitor_get_fix_maxw_maxh_and_monitorids_calculation.patch

* Wed Dec 21 2022 daviddavid <daviddavid> 1.4.29-1.mga9
+ Revision: 1925493
- new version: 1.4.29

* Sat Dec 03 2022 daviddavid <daviddavid> 1.4.28-1.mga9
+ Revision: 1915896
- new version: 1.4.28
- remove merged upstream patch

* Wed Oct 19 2022 papoteur <papoteur> 1.4.27-2.mga9
+ Revision: 1897638
- fix build with webkitgtk4.1 and libsoup3

* Tue Aug 23 2022 papoteur <papoteur> 1.4.27-1.mga9
+ Revision: 1879514
- new 1.4.27
  Use Qt6
  Remove support of NX, XDMCP and ST

* Wed Apr 06 2022 umeabot <umeabot> 1.4.18-3.mga9
+ Revision: 1845910
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 wally <wally> 1.4.18-2.mga9
+ Revision: 1747513
- rebuild for openssl 3.0.0

* Fri Jun 04 2021 daviddavid <daviddavid> 1.4.18-1.mga9
+ Revision: 1729600
- new version: 1.4.18

* Tue May 25 2021 daviddavid <daviddavid> 1.4.17-1.mga9
+ Revision: 1728135
- new version: 1.4.17

* Thu May 13 2021 daviddavid <daviddavid> 1.4.16-1.mga9
+ Revision: 1722692
- new version: 1.4.16

* Tue May 11 2021 daviddavid <daviddavid> 1.4.15-1.mga9
+ Revision: 1722474
- new version: 1.4.15

* Mon May 10 2021 daviddavid <daviddavid> 1.4.14-1.mga9
+ Revision: 1722419
- new version: 1.4.14

* Tue Mar 30 2021 daviddavid <daviddavid> 1.4.13-1.mga9
+ Revision: 1712014
- new version: 1.4.13

* Sun Mar 07 2021 daviddavid <daviddavid> 1.4.12-1.mga9
+ Revision: 1700286
- new version: 1.4.12

* Thu Feb 25 2021 daviddavid <daviddavid> 1.4.11-1.mga9
+ Revision: 1690911
- new version: 1.4.11

* Mon Dec 14 2020 daviddavid <daviddavid> 1.4.10-1.mga8
+ Revision: 1656922
- new version: 1.4.10

* Tue Nov 24 2020 daviddavid <daviddavid> 1.4.9-1.mga8
+ Revision: 1648873
- new version: 1.4.9

* Tue Aug 18 2020 daviddavid <daviddavid> 1.4.8-1.mga8
+ Revision: 1614726
- new version: 1.4.8

* Thu Jun 25 2020 daviddavid <daviddavid> 1.4.7-1.mga8
+ Revision: 1599185
- new version: 1.4.7

* Sat Jun 13 2020 daviddavid <daviddavid> 1.4.6-2.mga8
+ Revision: 1593124
- switch appindicator to new ayatana-appindicator3

* Tue Jun 09 2020 daviddavid <daviddavid> 1.4.6-1.mga8
+ Revision: 1591265
- new version: 1.4.6

* Tue May 26 2020 daviddavid <daviddavid> 1.4.5-1.mga8
+ Revision: 1587671
- new version: 1.4.5
- new version: 1.4.4

* Fri Apr 17 2020 daviddavid <daviddavid> 1.4.3-1.mga8
+ Revision: 1567994
- new version: 1.4.3

* Fri Apr 10 2020 daviddavid <daviddavid> 1.4.2-1.mga8
+ Revision: 1566013
- new version: 1.4.2

* Wed Mar 25 2020 daviddavid <daviddavid> 1.4.1-3.mga8
+ Revision: 1559608
- remove no more needed gtk+2 dependencies

* Tue Feb 25 2020 daviddavid <daviddavid> 1.4.1-2.mga8
+ Revision: 1550246
- new version: 1.4.1

* Thu Feb 20 2020 umeabot <umeabot> 1.3.10-2.mga8
+ Revision: 1547344
- Mageia 8 Mass Rebuild

* Sat Feb 08 2020 daviddavid <daviddavid> 1.3.10-1.mga8
+ Revision: 1487941
- new version: 1.3.10
+ wally <wally>
- build with new cmake macros

* Wed Dec 25 2019 daviddavid <daviddavid> 1.3.9-1.mga8
+ Revision: 1469932
- new version: 1.3.9
- remove merged upstream patch

* Wed Dec 18 2019 daviddavid <daviddavid> 1.3.7-2.mga8
+ Revision: 1468778
- add cmake option to use latest FreeRDP symbols when compiling (mga#25892)

* Tue Dec 17 2019 daviddavid <daviddavid> 1.3.7-1.mga8
+ Revision: 1468493
- new version: 1.3.7
- new URL and Source URL

* Tue Aug 27 2019 daviddavid <daviddavid> 1.3.6-1.mga8
+ Revision: 1434557
- new version: 1.3.6

* Thu Aug 01 2019 daviddavid <daviddavid> 1.3.5-2.mga8
+ Revision: 1426679
- enable the KDE Wallet plugin

* Thu Aug 01 2019 daviddavid <daviddavid> 1.3.5-1.mga8
+ Revision: 1426654
- new version: 1.3.5
- add WWW plugin (A new plugin to connect to Webbased administration consoles)
- telepathy plugin replaced upstream by the new WWW plugin

* Thu Mar 14 2019 daviddavid <daviddavid> 1.3.4-1.mga7
+ Revision: 1376365
- new version: 1.3.4

* Fri Mar 01 2019 daviddavid <daviddavid> 1.3.3-1.mga7
+ Revision: 1370611
- new version: 1.3.3

* Sun Feb 03 2019 daviddavid <daviddavid> 1.3.2-1.mga7
+ Revision: 1362822
- new version: 1.3.2

* Thu Jan 31 2019 daviddavid <daviddavid> 1.3.1-1.mga7
+ Revision: 1362027
- new version: 1.3.1

* Tue Jan 22 2019 daviddavid <daviddavid> 1.3.0-1.mga7
+ Revision: 1359454
- new version: 1.3.0

* Wed Nov 21 2018 daviddavid <daviddavid> 1.2.32.1-1.mga7
+ Revision: 1332592
- new version: 1.2.32.1

* Wed Oct 10 2018 daviddavid <daviddavid> 1.2.32-1.mga7
+ Revision: 1319251
- new version: 1.2.32
- add new Socket Terminal plugin sub-pkg

* Sun Sep 23 2018 umeabot <umeabot> 1.2.31.3-2.mga7
+ Revision: 1300813
- Mageia 7 Mass Rebuild

* Fri Aug 17 2018 daviddavid <daviddavid> 1.2.31.3-1.mga7
+ Revision: 1252151
- new version: 1.2.31.3

* Fri Aug 03 2018 daviddavid <daviddavid> 1.2.31.2-1.mga7
+ Revision: 1247012
- new version: 1.2.31.2

* Tue Jul 31 2018 daviddavid <daviddavid> 1.2.31-1.mga7
+ Revision: 1246308
- new version: 1.2.31

* Thu May 31 2018 daviddavid <daviddavid> 1.2.30.1-1.mga7
+ Revision: 1233208
- new version: 1.2.30.1

* Tue May 22 2018 daviddavid <daviddavid> 1.2.30-1.mga7
+ Revision: 1231367
- new version: 1.2.30

* Mon Apr 09 2018 daviddavid <daviddavid> 1.2.0-0.rcgit.29.1.mga7
+ Revision: 1216396
- new version: 1.2.0-rcgit.29

* Thu Mar 15 2018 daviddavid <daviddavid> 1.2.0-0.rcgit.27.1.mga7
+ Revision: 1209587
- new version: 1.2.0-rcgit.27
- rename the plugin 'remmina-plugins-gnome' in 'remmina-plugins-secret'
- add new executor plugin

* Sat Dec 16 2017 daviddavid <daviddavid> 1.2.0-0.rcgit.24.1.mga7
+ Revision: 1182786
- new version: 1.2.0-rcgit.24

* Fri Jul 28 2017 daviddavid <daviddavid> 1.2.0-0.rcgit.19.1.mga7
+ Revision: 1132001
- new version: 1.2.0-rcgit.19

* Thu Feb 23 2017 daviddavid <daviddavid> 1.2.0-0.rcgit.18.1.mga6
+ Revision: 1087530
- new version: 1.2.0-rcgit.18

* Fri Jan 13 2017 mrambo3501 <mrambo3501> 1.2.0-0.rcgit.17.2.mga6
+ Revision: 1081553
- bump rel to rebuild for new libvncserver

* Sun Jan 01 2017 daviddavid <daviddavid> 1.2.0-0.rcgit.17.1.mga6
+ Revision: 1079496
- new version: 1.2.0-rcgit.17
- remove merged upstream patch

* Fri Dec 23 2016 daviddavid <daviddavid> 1.2.0-0.rcgit.16.2.mga6
+ Revision: 1076516
- rebuild for new spice-gtk 0.33

* Wed Nov 02 2016 daviddavid <daviddavid> 1.2.0-0.rcgit.16.1.mga6
+ Revision: 1064737
- new version: 1.2.0-rcgit.16
- remove merged upstream patches
- add patch to complete French translation
  * https://github.com/FreeRDP/Remmina/pull/1038

* Mon Oct 10 2016 daviddavid <daviddavid> 1.2.0-0.rcgit.15.2.mga6
+ Revision: 1059984
- add upstream patch to update French translation
  * https://github.com/FreeRDP/Remmina/pull/1014

* Tue Aug 16 2016 daviddavid <daviddavid> 1.2.0-0.rcgit.15.1.mga6
+ Revision: 1046509
- new version: 1.2.0-rcgit.15
- enable appindicator3 support to fix systray icon not shown properly
  * https://github.com/FreeRDP/Remmina/issues/944

* Fri Aug 12 2016 daviddavid <daviddavid> 1.2.0-0.rcgit.14.1.mga6
+ Revision: 1046081
- new version: 1.2.0-rcgit.14
- enable SPICE plugin

* Wed May 18 2016 daviddavid <daviddavid> 1.2.0-0.rcgit.12.1.mga6
+ Revision: 1016628
- new version: 1.2.0-rcgit.12
- remove merged upstream patch

* Mon Mar 28 2016 daviddavid <daviddavid> 1.2.0-0.rcgit.11.1.mga6
+ Revision: 995874
- new version: 1.2.0-rcgit.11

* Sat Mar 12 2016 daviddavid <daviddavid> 1.2.0-0.rcgit.10.1.mga6
+ Revision: 989519
- new version: 1.2.0-rcgit.10
- add upstream patch to fix rcgit.10 changelog

* Fri Mar 04 2016 daviddavid <daviddavid> 1.2.0-0.rcgit.9.1.mga6
+ Revision: 985443
- new version: 1.2.0-rcgit.9
- add upstream patch to fix rcgit.9 changelog
- switch now BR to pkgconfig(freerdp2)
- add BR pkgconfig(webkit2gtk-4.0)

* Wed Jan 20 2016 daviddavid <daviddavid> 1.2.0-0.rcgit.8.3.mga6
+ Revision: 926055
- rebuild for fixed freerdp on arm arch

* Mon Jan 11 2016 luigiwalser <luigiwalser> 1.2.0-0.rcgit.8.2.mga6
+ Revision: 921835
- rebuild for gnutls

* Tue Jan 05 2016 daviddavid <daviddavid> 1.2.0-0.rcgit.8.1.mga6
+ Revision: 919812
- new version: 1.2.0-rcgit.8
- remove merged upstream patch

* Thu Dec 17 2015 daviddavid <daviddavid> 1.2.0-0.rcgit.7.1.mga6
+ Revision: 911480
- new version: 1.2.0-rcgit.7
- add upstream patch to fix rcgit.7 changelog

* Fri Dec 11 2015 daviddavid <daviddavid> 1.2.0-0.rcgit.6.1.mga6
+ Revision: 909409
- new version: 1.2.0-rcgit.6
- migrate from libgnome-keyring to libsecret
- add upstream patch to fix rcgit.6 changelog
- rebuild against new freerdp 2.0.0

* Mon Nov 09 2015 daviddavid <daviddavid> 1.2.0-0.rcgit.5.1.mga6
+ Revision: 900089
- new version: 1.2.0-rcgit.5

* Wed Sep 23 2015 daviddavid <daviddavid> 1.2.0-0.rcgit.4.4.mga6
+ Revision: 882452
- rebuild with new tarball 1.2.0-rcgit.4
- upstream has regenerated tarball 1.2.0-rcgit.4 today (20150923)

* Sun Sep 20 2015 daviddavid <daviddavid> 1.2.0-0.rcgit.4.3.mga6
+ Revision: 882011
- new version: 1.2.0-rcgit.4
- fix desktop file category

* Mon Sep 14 2015 fwang <fwang> 1.2.0-0.gitb024598.2.mga6
+ Revision: 879195
- rebuild for new libgcrypt

* Thu Sep 03 2015 daviddavid <daviddavid> 1.2.0-0.gitb024598.1.mga6
+ Revision: 872527
- new snapshot release: 1.2.0-gitb024598fa5eab15c7c5147b2f7593de124e9d0a3
- update URL and Source URL
- fix License
- remove no more needed previous patches
- update file list
- introduce license macro
+ fwang <fwang>
- more linkage fixes
- fix linkage
- fix br on vte
- disable appindicator support
- br avahi-ui
- 1.2.0 rc3

* Sat Jan 10 2015 daviddavid <daviddavid> 1.0.0-14.mga5
+ Revision: 809747
- update desktop file adding GenericName

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-13.mga5
+ Revision: 743629
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-12.mga5
+ Revision: 688653
- Mageia 5 Mass Rebuild

* Wed Aug 27 2014 daviddavid <daviddavid> 1.0.0-11.mga5
+ Revision: 668869
- rebuild with vte-2.90 as it is now back

* Tue Aug 19 2014 daviddavid <daviddavid> 1.0.0-10.mga5
+ Revision: 665752
- add upstream patch in order to remove the inline copy of libvncserver
  * https://github.com/FreeRDP/Remmina/commit/58881d4dd9129f56cb5ed9e56c54236be494d30a
- remove previous patch: CVE-2014-4607 in bundled minilzo (no longer needed)

* Tue Aug 19 2014 luigiwalser <luigiwalser> 1.0.0-9.mga5
+ Revision: 665681
- add patch from KDE to fix CVE-2014-4607 in bundled minilzo

* Sun Jun 08 2014 wally <wally> 1.0.0-8.mga5
+ Revision: 634757
- add patch to fix build with vte2.91
+ daviddavid <daviddavid>
- rebuild for new vte

* Fri Mar 28 2014 daviddavid <daviddavid> 1.0.0-7.mga5
+ Revision: 609107
- add a Patch11 to improved French translation by Davy Defaud
 * https://bugs.mageia.org/attachment.cgi?id=5080
- fix setting options Categories on desktop file (to be sure it appears in all desktop environments)

* Mon Mar 24 2014 david-david <david-david> 1.0.0-6.mga5
+ Revision: 607866
- fix missing translations on desktop file, while is available upstream (mga#12950#c8)
- remove unneeded building of desktop file on Patch9
- update linkurl Source0 on "https://github.com/downloads/FreeRDP/Remmina"
+ bersuit <bersuit>
-Add patch to fix "Missing desktop file" #mga12950
-Move fix install path form spec to patch
-Minor cosmetic changes

* Fri Oct 18 2013 umeabot <umeabot> 1.0.0-4.mga4
+ Revision: 518081
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.0.0-3.mga3
+ Revision: 380314
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 juancho <juancho> 1.0.0-2.mga3
+ Revision: 313657
+ rebuild (emptylog)

* Mon Oct 29 2012 juancho <juancho> 1.0.0-1.mga3
+ Revision: 311507
- Fixed RPM groups according to new policy.
- Added missing BR for avahi-ui-gtk3
+ bersuit <bersuit>
- Update to new version 1.0.0
- New Version: 1.0.0
- padawan commit: New Version

* Thu Mar 03 2011 saispo <saispo> 0.9.3-1.mga1
+ Revision: 63369
- imported package remmina

